Pages admitted assignment candidates through the protected Worker lookup.
GET
/api/workspace/tasks/runtime/tasks/{taskId}/assignment-options/workers
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/tasks/runtime/tasks/example/assignment-options/workers?participant=0&page=1&pageSize=25"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/tasks/runtime/tasks/example/assignment-options/workers?participant=0&page=1&pageSize=25';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/workspace/tasks/runtime/tasks/example/assignment-options/workers?participant=0&page=1&pageSize=25' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskId
required
string
Query Parameters
Section titled “Query Parameters”participant
integer format: int32
search
string
page
integer format: int32
pageSize
integer format: int32
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
object
Items
Array<object>
A permitted participant identity. A null label never implies an unassigned participant.
object
Id
string
Name
string
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}